%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define unstable 0
%define smb 2
%define alt_prior 20

%if "%smb" == "2"
%define smb smb
%endif
%if_with smb3
%define smb smb3
%define alt_prior 30
%endif

%define samba_client %(rpm -qf --queryformat '%{NAME}' /usr/lib/libsmbclient.so.?)

Name: kdebase-smbclient
Version: 3.1.0
Release: alt12

Summary: Samba client plugin for KDE
Group: Graphical desktop/KDE
License: GPL
URL: http://www.kde.org/

Obsoletes: kdebase3
Source: %{name}.tar.bz2

# Automatically added by buildreq on Tue Aug 27 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kdebase-smbclient-source kdelibs-devel libacl libattr libcups libfam-devel libjpeg liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel samba-client samba-vfs-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kdelibs-devel libacl libattr libcups
BuildRequires: libjpeg liblcms libmng libpng-devel libqt3-devel
BuildRequires: libssl libstdc++-devel zlib-devel
BuildRequires: kdebase-smbclient-source = %version-%release
%if_with smb3
BuildRequires: samba3-client samba3-vfs-devel
%else
BuildRequires: samba-client samba-vfs-devel
%endif

%description
Samba client plugin for KDE

%package -n kdebase-%{smb}client-rw
Summary: Samba client plugin for KDE
Group: Graphical desktop/KDE
Obsoletes: kdebase-smbclient-rw
Provides: kdebase-smbclient = %version-%release
Provides: kdebase-smbclient-rw = %version-%release
Requires: %samba_client
#
%description -n kdebase-%{smb}client-rw
Samba client plugin for KDE



%prep
%setup -q -n %name
cp -a %prefix/src/kdebase-smbclient-source/* %_builddir/%name

%build
%add_optflags -I%_datadir/samba/vfs-devel/source/include -L%qtdir/lib
#export QTDIR=%qtdir
#export KDEDIR=%prefix
#export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
#export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
#export LDFLAGS="-L%buildroot/%_libdir -L%_libdir"

pushd kioslave/smb
%make >/dev/null 2>&1 ||:
%make CXXFLAGS="%optflags" CPPFLAGS="%optflags"
popd

%install
%if %unstable
%set_strip_method none
%endif

%make_build \
    DESTDIR=%buildroot \
    -C kioslave/smb \
install
find %buildroot -type f -name \*.la -exec perl -pi -e "s|%buildroot||g" {} \;

%make DESTDIR=%buildroot install -C kioslave/smb
mv -f %buildroot/%_libdir/kde3/kio_smb.la %buildroot/%_libdir/kde3/kio_%{smb}_rw.la
mv -f %buildroot/%_libdir/kde3/kio_smb.so %buildroot/%_libdir/kde3/kio_%{smb}_rw.so
mv -f %buildroot/%_datadir//services/smb.protocol %buildroot/%_datadir/services/%{smb}_rw.protocol

%post  -n kdebase-%{smb}client-rw
%_sbindir/update-alternatives --install %_libdir/kde3/kio_smb.so kde_kio_smb.so %_libdir/kde3/kio_%{smb}_rw.so %alt_prior \
    --slave %_libdir/kde3/kio_smb.la kde_kio_smb.la %_libdir/kde3/kio_%{smb}_rw.la \
    --slave %_datadir/services/smb.protocol kde_smb.protocol %_datadir/services/%{smb}_rw.protocol

%postun -n kdebase-%{smb}client-rw
%_sbindir/update-alternatives --auto kde_kio_smb.so


%triggerpostun -n kdebase-%{smb}client-rw -- kdebase-smbclient-rw = 3.0.1-alt6
/usr/sbin/update-alternatives --auto kde_kio_smb.so
#
%triggerpostun -n kdebase-%{smb}client-rw -- kdebase < 3.0.1-alt6
/usr/sbin/update-alternatives --auto kde_kio_smb.so


%files -n kdebase-%{smb}client-rw
%_libdir/kde3/kio_%{smb}_rw.la
%_libdir/kde3/kio_%{smb}_rw.so
%_datadir/services/%{smb}_rw.protocol
%_datadir/apps/konqueror/dirtree/remote/smb-network.desktop

%changelog
* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt12
- follow kdebase

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt11
- follow kdebase

* Tue Feb 04 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt10
- follow kdebase

* Thu Jan 30 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt9
- follow kdebase

* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt8
- follow kdebase

* Tue Jan 21 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt7
- follow kdebase

* Fri Jan 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6
- follow kdebase

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt5
- follow kdebase

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- follow kdebase

* Wed Dec 25 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- follow kdebase

* Wed Dec 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- follow kdebase

* Thu Nov 28 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- follow kdebase

* Mon Nov 25 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.22
- follow kdebase

* Thu Nov 21 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.21
- follow kdebase

* Wed Nov 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc2
- follow kdebase

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc1
- follow kdebase

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.12
- follow kdebase

* Wed Oct 23 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.11
- follow kdebase

* Thu Oct 10 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.10
- follow kdebase

* Tue Oct 08 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt10
- follow kdebase

* Fri Oct 04 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt9
- follow kdebase

* Wed Oct 02 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt8
- follow kdebase

* Tue Sep 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt6
- follow kdebase

* Tue Sep 10 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt5
- follow kdebase

* Mon Sep 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt4
- follow kdebase

* Fri Sep 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt3
- rebuild with gcc 3.2

* Tue Aug 27 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt2
- splited from kdebase
